package com.dzeio.openhealth

/**
 * Object containing every keys for the different settings of the application
 */
object Settings {

    /**
     * get the last time the Application has crashed
     *
     * type: Long
     */
    const val CRASH_LAST_TIME = "com.dzeio.open-health.crash.last_time"

    /**
     * The software override application language
     *
     * note: also change it in `preferences.xml`
     */
    const val APP_LANGUAGE = "com.dzeio.open-health.app.language"

    /***************************
     * Weight related settings *
     ***************************/

    const val WEIGHT_GOAL = "com.dzeio.open-health.weight.goal"

    /**
     * format in which the weight the user want it to be displayed as
     */
    const val MASS_UNIT = "com.dzeio.open-health.unit.mass"

    /**
     * Goal number of steps each days
     */
    const val STEPS_GOAL = "com.dzeio.open-health.steps.goal-daily"
}
