package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.water.Water
import com.dzeio.openhealth.databinding.LayoutItemListBinding
import com.dzeio.openhealth.units.Units

class WaterAdapter : BaseAdapter<Water, LayoutItemListBinding>() {

    /**
     * The unit the adapter will be using
     */
    var unit: Units.Volume = Units.Volume.MILLILITER

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> LayoutItemListBinding
        get() = LayoutItemListBinding::inflate

    var onItemClick: ((weight: Water) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutItemListBinding>,
        item: Water,
        position: Int
    ) {
        // set the wate intake text
        holder.binding.value.text =
            holder.itemView.context.getString(unit.unit, unit.formatToString(item.value))

        // set the datetime
        holder.binding.datetime.text = item.formatTimestamp()

        // set the callback
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}
