package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.weight.Weight
import com.dzeio.openhealth.databinding.LayoutItemListBinding
import com.dzeio.openhealth.units.Units

class WeightAdapter : BaseAdapter<Weight, LayoutItemListBinding>() {

    /**
     * The unit the adapter will be using
     */
    var unit: Units.Mass = Units.Mass.KILOGRAM

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> LayoutItemListBinding
        get() = LayoutItemListBinding::inflate

    var onItemClick: ((weight: Weight) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutItemListBinding>,
        item: Weight,
        position: Int
    ) {
        // set the weight text
        holder.binding.value.text =
            holder.itemView.context.getString(unit.unit, unit.formatToString(item.weight))

        // set the datetime
        holder.binding.datetime.text = item.formatTimestamp()

        // set the callback
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}
