package com.dzeio.openhealth.data.food

import androidx.room.Dao
import androidx.room.Query
import com.dzeio.openhealth.core.BaseDao
import kotlinx.coroutines.flow.Flow

@Dao
interface FoodDao : BaseDao<Food> {
    @Query("SELECT * FROM Food ORDER BY timestamp DESC")
    fun getAll(): Flow<List<Food>>

    @Query("SELECT * FROM Food where id = :weightId")
    fun getOne(weightId: Long): Flow<Food?>

    @Query("Select count(*) from Food")
    fun getCount(): Flow<Int>

    @Query("Select * FROM Food ORDER BY timestamp DESC LIMIT 1")
    fun last(): Flow<Food?>

}
