package com.dzeio.openhealth.data.food

import com.dzeio.openhealth.data.openfoodfact.OFFResult
import com.dzeio.openhealth.data.openfoodfact.OpenFoodFactService
import retrofit2.Response
import javax.inject.Inject


class FoodRepository @Inject constructor(
    private val dao: FoodDao,
    private val offSource: OpenFoodFactService
) {
    suspend fun searchOpenFoodFact(name: String): Response<OFFResult> =
        offSource.searchProducts(name)

    fun getAll() = dao.getAll()

    suspend fun add(food: Food) = dao.insert(food)

    fun getById(id: Long) = dao.getOne(id)

    suspend fun delete(food: Food) = dao.delete(food)

    suspend fun update(food: Food) = dao.update(food)

}
