package com.dzeio.openhealth.data.water

import androidx.room.Dao
import androidx.room.Query
import com.dzeio.openhealth.core.BaseDao
import kotlinx.coroutines.flow.Flow

@Dao
interface WaterDao : BaseDao<Water> {

    @Query("SELECT * FROM Water ORDER BY timestamp DESC")
    fun getAll(): Flow<List<Water>>

    @Query("SELECT * FROM Water where id = :weightId")
    fun getOne(weightId: Long): Flow<Water?>

    @Query("Select count(*) from Water")
    fun getCount(): Flow<Int>

    @Query("Select * FROM Water WHERE id=(SELECT max(id) FROM Water)")
    fun last(): Flow<Water?>

    @Query("DELETE FROM Water where source = :source")
    suspend fun deleteFromSource(source: String)
}
