package com.dzeio.openhealth.data.weight

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.sql.Date
import java.text.DateFormat.getDateInstance

@Entity()
data class Weight(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    /**
     * Store the weight in kilograms
     */
    var weight: Float = 0f,

    /**
     * when the weight was taken precise to the millisecond
     */
    @ColumnInfo(index = true)
    var timestamp: Long = System.currentTimeMillis(),

    /**
     * the source for the Entry
     *
     * note: Unused currently but kept for future usage
     */
    var source: String = "OpenHealth"
) {
    fun formatTimestamp(): String = getDateInstance().format(Date(timestamp));
}
