package com.dzeio.openhealth.utils

import android.content.Context
import android.graphics.Bitmap
import java.io.File
import java.io.RandomAccessFile
import java.nio.channels.FileChannel

object BitmapUtils {

    /**
     * Stolen from StackOverflow but I don't remember where...
     *
     * Convert an immutable Bitmap to a mutable one if possible
     */
    fun convertToMutable(context: Context, imgIn: Bitmap): Bitmap? {
        val width = imgIn.width
        val height = imgIn.height
        val type = imgIn.config
        var outputFile: File? = null
        val outputDir = context.cacheDir
        try {
            outputFile = File.createTempFile(
                System.currentTimeMillis().toString(),
                null,
                outputDir
            )
            outputFile.deleteOnExit()
            val randomAccessFile = RandomAccessFile(outputFile, "rw")
            val channel = randomAccessFile.channel
            val map = channel.map(
                FileChannel.MapMode.READ_WRITE,
                0,
                (imgIn.rowBytes * height).toLong()
            )
            imgIn.copyPixelsToBuffer(map)
            imgIn.recycle()
            val result = Bitmap.createBitmap(width, height, type)
            map.position(0)
            result.copyPixelsFromBuffer(map)
            channel.close()
            randomAccessFile.close()
            outputFile.delete()
            return result
        } catch (e: Exception) {
        } finally {
            outputFile?.delete()
        }
        return null
    }
}
