package com.dzeio.openhealth.utils

import android.graphics.Canvas
import android.graphics.Paint
import android.graphics.RectF

/**
 * Utils class to draw more complexe elements on a canvas
 */
object DrawUtils {

    /**
     * Draw an arc on a canvas or a the previous comment was "Fuck Graphics"
     */
    fun drawArc(canvas: Canvas, percent: Float, rect: RectF, pColor: Int, strokeWidth: Float = 1f) {
        val r1 = RectF(
            canvas.realSize(true, rect.left),
            canvas.realSize(false, rect.top),
            canvas.realSize(true, rect.right),
            canvas.realSize(false, rect.bottom, 2)
        )
        val paint = Paint().apply {
            this.strokeWidth = canvas.realSize(true, strokeWidth)
            style = Paint.Style.STROKE
            color = pColor
            isAntiAlias = true
            strokeCap = Paint.Cap.ROUND
        }
        canvas.drawArc(r1, 180f, 180 * percent / 100f, false, paint)
    }

    private fun Canvas.realSize(isWidth: Boolean, value: Float): Float {
        val it = if (isWidth) this.width else this.height
        return it * value / 100
    }

    private fun Canvas.realSize(isWidth: Boolean, value: Float, multiplier: Int): Float {
        val it = (if (isWidth) this.width else this.height) * multiplier
        return it * value / 100
    }

}
